package de.intevation.mxd.reader;

import java.io.IOException;

import org.apache.log4j.Logger;

import org.w3c.dom.Element;
import de.intevation.mxd.utils.MapToXMLUtils;

/**
 * Reads multi layer marker symbol information.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
public abstract class AbstractSymbolReader implements ISymbolReader{

    /**
     * The logger.
     */
    private static final Logger logger =
        Logger.getLogger(AbstractReaderTool.class);

    /**
     * Private member.
     */
    protected Element parent;
    protected MapToXMLUtils util;


    /**
     * Setter for the parent XML element.
     *
     * @param parent The XML parent node.
     */
    public void setParent(Element p) {
        this.parent = p;
    }

    /**
     * Setter for XML document helper.
     *
     * @param util The helper class for storing map information.
     */
    public void setUtil(MapToXMLUtils u) {
        this.util = u;
    }
}
